%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyliblo
Version:        0.8.1
Release:        3%{?dist}
Summary:        Python bindings for the liblo OSC library

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://das.nasophon.de/pyliblo/
Source0:        http://das.nasophon.de/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  Pyrex
BuildRequires:  liblo-devel


%description
pyliblo is a Python wrapper for the liblo Open Sound Control library.
It supports almost the complete functionality of liblo, allowing you
to send and receive OSC messages using a nice and simple Python API.

Also included are the command line utilities send_osc and dump_osc. 


%prep
%setup -q
rm src/liblo.c


%build
CFLAGS="%{optflags}" %{__python} setup.py build --with-pyrex


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README doc/*.html
%{_mandir}/man*/*.*
%{_bindir}/*_osc
%{python_sitearch}/liblo.so
%{python_sitearch}/%{name}*.egg-info


%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.8.1-2
- Rebuild for new liblo

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> - 0.8.1-1
- Update to new upstream version 0.8.1

* Mon Sep 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.8.0-1
- Update to new upstream version 0.8.0

* Mon Aug 10 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.2-2
- Improved description
- Changed optflags style
- Removed comment

* Sat Apr 25 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.2-1
- Initial package for Fedora
